using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HumanLikeBattleRobots.Graphic;

namespace HumanLikeBattleRobots.Logic
{
    class Crater : IOtherObjects
    {
        private Vec2f position;
        private CraterSprite sprite = new CraterSprite(0);

        public Crater(Vec2f position)
        {
            this.position = position;
            sprite.Position = this.position;
            sprite.Angle = GameManager.MainRandom.Next(0, 361);
            GameManager.otherObjects.Add(this);
        }

        public void Draw()
        {
            sprite.Draw();
        }


        public void  Proceed()
        {
            if (position.Distance(GameManager.myRobot.Position) > 2500)
                GameManager.otherObjects.Remove(this);
        }

        public int Stage()
        {
            return 0;
        }
    }
}
